Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.policy
Class OpenORBPolicyFactoryImpl

    java.lang.Object
      |
      +--org.omg.CORBA.LocalObject
            |
            +--org.openorb.policy.OpenORBPolicyFactoryImpl

All Implemented Interfaces:
  IDLEntity, Object, PolicyFactory, PolicyFactoryOperations, java.io.Serializable

public class OpenORBPolicyFactoryImpl
extends LocalObject
implements PolicyFactory

Factory for Various OpenORB specific and general policies.

Version:
  $Revision: 1.7 $ $Date: 2002/07/14 19:12:37 $
Author:
  Chris Wood
See Also:
  Serialized Form

Constructor Summary
`OpenORBPolicyFactoryImpl(ORB orb, PolicyFactoryManager policymanagerimpl, boolean enable_server, boolean enable_client)` This constructor registers this factory as the policy factory for the various types of policies it creates.

Method Summary
`Policy` | `create_policy(int type, Any value)` Operation create_policy

Methods inherited from class org.omg.CORBA.LocalObject
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_interface, _get_policy, _hash, _invoke, _is_a, _is_equivalent, _is_local, _non_existent, _orb, _release, _releaseReply, _request, _request, _servant_postinvoke, _servant_preinvoke, _set_policy_override, validate_connection`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.omg.CORBA.Object
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_interface, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

Constructor Detail

### OpenORBPolicyFactoryImpl

    public OpenORBPolicyFactoryImpl(ORB orb,
                                    PolicyFactoryManager policymanagerimpl,
                                    boolean enable_server,
                                    boolean enable_client)

  This constructor registers this factory as the policy factory for the various types of policies it creates.

Method Detail

### create_policy

    public Policy create_policy(int type,
                                Any value)
                         throws PolicyError

  Description copied from interface: `PolicyFactoryOperations`
  Operation create_policy
  Specified by:
    `create_policy` in interface `PolicyFactoryOperations`

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD